PR .= ".5brightsign14"

THISDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${THISDIR}/${PN}-${PV}", "${THISDIR}/files"], d)}:"

SRC_URI += "file://busybox-1.11.3-line-edit-echo-fix.patch"

python do_menuconfig() {
       master_config = d.getVar('THISDIR', True) + '/${PN}-${PV}/defconfig'
       cmd = 'unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS MACHINE; make menuconfig'
       cmd += ' && diff -u ' + master_config + ' .config 2>&1 | less '
       cmd += ' && cp .config ' + master_config

       oe_terminal(d.getVar('SHELL', True) + ' -c "' + cmd + '"', 'menuconfig', d)
}

addtask menuconfig after do_configure
