DESCRIPTION = "GNU libmicrohttpd is a small C library that is supposed to make it easy to run an HTTP server as part of another application."
HOMEPAGE = "http://www.gnu.org/s/libmicrohttpd"
SECTION = "libs"
SRC_URI = "ftp://ftp.heanet.ie/mirrors/gnu/libmicrohttpd/libmicrohttpd-${PV}.tar.gz \
           file://libmicrohttpd-${PV}-join-timeout.patch \
           file://libmicrohttpd-${PV}-monotonic-time.patch \
"
SRC_URI[md5sum] = "ede6ad4a07a8a0794c42e4ef356ee27c"

# It's actually dual licensed but let's use it under LGPLv2.1
LICENSE = "LGPLv2.1"
S = "${WORKDIR}/libmicrohttpd-${PV}"
PR = "r3"

LIC_FILES_CHKSUM = "file://COPYING;md5=9331186f4f80db7da0e724bdd6554ee5"

inherit autotools

EXTRA_OECONF = "--enable-shared=yes --enable-static=no --disable-https --enable-messages"
